Unsupported field datatype: rich_editor #1585

Closed
Inza opened this Issue Mar 31, 2013 · 4 comments

Projects

None yet

5 participants

@Inza
Inza commented Mar 31, 2013

Hi,

I have tried to integrate rich to rails_admin. I have successfully done it before. But with last stable versions I have got a strange issue:

Unsupported field datatype: rich_editor

Some folk had this issue as well and created a question on SO for it: http://stackoverflow.com/questions/13070784/fail-to-integrate-ckeditor-in-rails-admin-gem-use-gem-rich

But so far, no answers are there.

I have created an issue in the rich github repo as well:
kreativgebiet/rich#80, I have pasted my stack trace there.

I am not sure if the issue is in rich or rails_admin, but so far I have been able to confirm, the syntax which is used by rich for registering new field_type to rails_admin is OK.

Could this have been caused by the recent changes related to JSON security as is listed here? https://github.com/sferik/rails_admin#action-required-security-issue

Thanks for any help!

Kind regards
Tomáš

@ideaoforder

+1

@jimmyn
jimmyn commented Oct 13, 2014

+1

@zackexplosion

any update?

@mshibuya
Collaborator

Make sure that gem 'rails_admin' is placed before gem 'rich', because rich checks existence of constant RailsAdmin on its first load.

@mshibuya mshibuya closed this Mar 23, 2015
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment